import '../../fixture_loader.dart' as fixture;

import 'package:test/test.dart';
import 'package:ark_dart_crypto/src/identities/private_key.dart';

var identity = fixture.load('identity.json');

void main() {
  test('from passphrase', () {
    PrivateKey pk = PrivateKey.fromPassphrase(identity['passphrase']);
    expect(pk.toHex(), identity['data']['privateKey']);
  });

  test('from hex', () {
    PrivateKey pk = PrivateKey.fromHex(identity['data']['privateKey']);
    expect(pk.toHex(), identity['data']['privateKey']);
  });
}