import '../../fixture_loader.dart' as fixture;

import 'package:test/test.dart';
import 'package:ark_dart_crypto/src/identities/wif.dart';
import 'package:ark_dart_crypto/src/configuration/network.dart';
import 'package:ark_dart_crypto/src/networks/devnet.dart';

var identity = fixture.load('identity.json');

void main() {
  test('fromPassphrase', () {
    NetworkConfig.set(new Devnet());
    Wif wif = Wif.fromPassphrase(identity['passphrase']);
    expect(wif.toString(), equals(identity['data']['wif']));
  });
}
