import '../../../fixture_loader.dart' as loader;

import 'package:ark_dart_crypto/src/transactions/transaction.dart';
import 'package:ark_dart_crypto/src/transactions/deserializer.dart';
import 'package:ark_dart_crypto/src/transactions/serializer.dart';
import 'package:test/test.dart';
import 'package:convert/convert.dart';

void main() {
  test('second passphrase', () {
    var fixture = loader.load('transactions/second_signature_registration/second_passphrase.json');
    Transaction transaction = deserialize(fixture['serialized']);
    String actual = hex.encode(serialize(transaction));
    expect(actual, fixture['serialized']);
  });
}